openapi: 3.0.3
info:
  title: 'PMP Sales - Smart Api'
  description: '<img src="/../asset/img/pmp_header.png" alt="" class="w-[15vh] mx-auto  m-3"><br>Dokumentasi lengkap API Smart - Solusi API untuk aplikasi Sales dan Smart'
  version: 1.0.0
servers:
  -
    url: 'http://api.pmpsmart.com'
paths:
  /api/v1/auth/login:
    post:
      summary: Login
      operationId: login
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            text/plain:
              schema:
                type: string
                example: "{\n\"status\": success,\n\"message\": \"Submit Login berhasil\",\n\"data\": [data]\n}"
      tags:
        - Auth
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: email
                  description: 'email pengguna.'
                  example: email@pmpsmart.com
                  nullable: false
                password:
                  type: string
                  description: 'Password pengguna.'
                  example: '*****'
                  nullable: false
              required:
                - email
                - password
      security: []
  /api/v1/auth/logout:
    post:
      summary: Logout
      operationId: logout
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            text/plain:
              schema:
                type: string
                example: "{\n\"status\": success,\n\"message\": \"Logout berhasil\",\n\"data\": [data]\n}"
      tags:
        - Auth
      security: []
tags:
  -
    name: Auth
    description: ''
